Subject: bug#23944: CC Mode 5.33 (C++); indent problem with cout

From: Frank Haun <[email-masked]>
Date: Thu, 14 Jul 2016 16:00:57 +0200

Hi Alan,

On Thu, 14 Jul 2016 13:11:34 +0000, Alan Mackenzie wrote:

> On Mon, Jul 11, 2016 at 02:57:51PM +0200, Frank Haun wrote:
>
>> I get wrong indent after cout. It happens when last char in the cout
>> string is an ":" or "?".
>
>> #include <iostream>
>> using namespace std;
>> int main()
>> {
>>   cout << "Hello:";
>>     // comment
>> }
>
> The problem here was a typo in a change a fortnight or so ago.  I think
> I have corrected it in the Emacs savannah repository, master branch,
> with the following commit:
>
> commit d0dc74a3a8bc59df3ca88810710d1234a9a08920
> Author: Alan Mackenzie <[email-masked]>
> Date:   Thu Jul 14 12:42:17 2016 +0000
>
> I would be grateful if you would update your Emacs,

Done.

> and check in your real code that the bug really is fixed.  Please
> confirm that this is the case, or let me know what is still wrong.  If
> everything's OK, I can close the bug.

Many thanks, for me it's fixed now.

Best regards,
  Frank